> For the complete documentation index, see [llms.txt](https://docs.mest3rdevelopment.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mest3rdevelopment.com/impound-garages-system/events-exports-snippets.md).

# Events, exports, snippets

* Impound vehicle event

  ```lua
  TriggerServerEvent("mester_impoundgaragesImpoundVehicle", plate)
  ```
* Impound vehicle example function

  ```lua
  function GetClosestVehicle()
      local coords = GetEntityCoords(PlayerPedId())
      local vehicles = GetGamePool('CVehicle')
      local closestDistance = -1
      local closestVehicle = nil
      for _, vehicle in ipairs(vehicles) do
          local vehicleCoords = GetEntityCoords(vehicle)
          local distance = #(coords - vehicleCoords)
          if closestDistance == -1 or distance < closestDistance then
              closestDistance = distance
              closestVehicle = vehicle
          end
      end
      return closestVehicle
  end

  function ImpundVehicle()
      local ped = PlayerPedId()
      local VehicleData = GetClosestVehicle()
      local carCoords = GetEntityCoords(VehicleData)
      local carCoords2 = GetEntityCoords(ped)
      local distance = GetDistanceBetweenCoords(carCoords.x, carCoords.y, carCoords.z, carCoords2.x, carCoords2.y, carCoords2.z, true)
      if VehicleData ~= nil then
          if distance < 5.0 then
              TaskStartScenarioInPlace(ped, "WORLD_HUMAN_COP_IDLES", 0, true)
              Citizen.Wait(5000)
              ClearPedTasksImmediately(ped)
              -- No need to check player's job here, because impoundgarages checks is automatically by the Config.lua
              TriggerServerEvent("mester_impoundgaragesImpoundVehicle", GetVehicleNumberPlateText(VehicleData))
              DeleteVehicle(vehicleData)
          end
      end
  end
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mest3rdevelopment.com/impound-garages-system/events-exports-snippets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
